QuantLib: IntegralHestonVarianceOptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
IntegralHestonVarianceOptionEngine Class Reference
Pricing engines » Forward option engines

integral Heston-model variance-option engine More...

`#include <ql/experimental/varianceoption/integralhestonvarianceoptionengine.hpp>`

Inheritance diagram for IntegralHestonVarianceOptionEngine:
[legend]

## Public Member Functions
| IntegralHestonVarianceOptionEngine (const ext::shared_ptr< HestonProcess > &)
void | calculate () const
Public Member Functions inherited from GenericEngine< VarianceOption::arguments, VarianceOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< VarianceOption::arguments, VarianceOption::results >
VarianceOption::arguments | arguments_
VarianceOption::results | results_

## Detailed Description

integral Heston-model variance-option engine

This engine implements the approach described in http://www.econ.univpm.it/recchioni/finance/w4/.